Page MenuHomePhabricator

[Bug] Mobileview returns bad revision IDs
Closed, ResolvedPublic

Description

The mobileview API no longer returns valid revision IDs. On formatversion=2, they come back as true. On the default, they come back as empty strings, "".

https://test.wikipedia.org/w/api.php?action=mobileview&format=json&formatversion=2&prop=text%7Csections%7Clanguagecount%7Cthumb%7Cimage%7Cid%7Crevision%7Cdescription%7Clastmodified%7Cnormalizedtitle%7Cdisplaytitle%7Cprotection%7Ceditable&onlyrequestedsections=1&sections=0&sectionprop=toclevel%7Cline%7Canchor&noheadings=true&page=Foo_%28disambiguation%29&thumbsize=640

{
  "mobileview": {
    "normalizedtitle": "Foo (disambiguation)",
    "lastmodified": "2016-03-04T00:21:58Z",
    "revision": true,
    "languagecount": 0,
    "displaytitle": "Foo (disambiguation)",
    "id": 82690,
    "sections": [
      {
        "id": 0,
        "text": "<p>test <i>italic</i> <b>bold</b></p>"
      }
    ],
    "protection": [],
    "editable": true
  }
}
https://test.wikipedia.org/w/api.php?action=mobileview&format=json&formatversion=2&prop=text%7Csections%7Clanguagecount%7Cthumb%7Cimage%7Cid%7Crevision%7Cdescription%7Clastmodified%7Cnormalizedtitle%7Cdisplaytitle%7Cprotection%7Ceditable&onlyrequestedsections=1&sections=0&sectionprop=toclevel%7Cline%7Canchor&noheadings=true&page=Bill_Gates&thumbsize=640

{
  "mobileview": {
    "normalizedtitle": "Bill Gates",
    "lastmodified": "2016-02-01T11:15:02Z",
    "revision": true,
    "languagecount": 0,
    "displaytitle": "Bill Gates",
    "id": 87546,
    "image": {
      "file": "Bill Gates June 2015.jpg",
      "width": 996,
      "height": 1408
    },
    "thumb": {
      "url": "//upload.wikimedia.org/wikipedia/commons/thumb/1/19/Bill_Gates_June_2015.jpg/453px-Bill_Gates_June_2015.jpg",
      "width": 453,
      "height": 640
    },
    "sections": [
      {
        "id": 0,
        "text": "<p>American business magnate and philanthropist</p>\n<table class=\"infobox biography vcard\" style=\"width:22em; float:left;\"><tr><th colspan=\"2\" style=\"text-align:center;font-size:125%;font-weight:bold\"><span class=\"fn\">Bill Gates</span></th>\n</tr><tr><th scope=\"row\">birth name</th>\n<td class=\"label\">William Henry Gates III<sup id=\"cite_ref-1\" class=\"reference\"><a href=\"#cite_note-1\">[1]</a></sup></td>\n</tr><tr><th scope=\"row\">date of birth</th>\n<td class=\"label\">October 28 1955<sup id=\"cite_ref-2\" class=\"reference\"><a href=\"#cite_note-2\">[2]</a></sup></td>\n</tr><tr><th scope=\"row\">place of birth</th>\n<td class=\"label\"><a href=\"/w/index.php?title=Seattle&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Seattle (page does not exist)\">Seattle</a><sup id=\"cite_ref-3\" class=\"reference\"><a href=\"#cite_note-3\">[3]</a></sup></td>\n</tr><tr><th scope=\"row\">residence</th>\n<td class=\"label\"><a href=\"/w/index.php?title=Medina,_Washington&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Medina, Washington (page does not exist)\">Medina, Washington</a></td>\n</tr><tr><th scope=\"row\">occupation</th>\n<td class=\"role\"><a href=\"/w/index.php?title=Entrepreneur&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Entrepreneur (page does not exist)\">entrepreneur</a><sup id=\"cite_ref-4\" class=\"reference\"><a href=\"#cite_note-4\">[4]</a></sup>, <a href=\"/w/index.php?title=Programmer&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Programmer (page does not exist)\">programmer</a><sup id=\"cite_ref-5\" class=\"reference\"><a href=\"#cite_note-5\">[5]</a></sup>, <a href=\"/w/index.php?title=Computer_scientist&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Computer scientist (page does not exist)\">computer scientist</a>, <a href=\"/w/index.php?title=Philanthropist&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Philanthropist (page does not exist)\">philanthropist</a><sup id=\"cite_ref-6\" class=\"reference\"><a href=\"#cite_note-6\">[6]</a></sup>, <a href=\"/w/index.php?title=Inventor&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Inventor (page does not exist)\">inventor</a><sup id=\"cite_ref-7\" class=\"reference\"><a href=\"#cite_note-7\">[7]</a></sup>, <a href=\"/w/index.php?title=Financier&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Financier (page does not exist)\">financier</a>, <a href=\"/w/index.php?title=Bridge_player&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Bridge player (page does not exist)\">bridge player</a><sup id=\"cite_ref-8\" class=\"reference\"><a href=\"#cite_note-8\">[8]</a></sup>, <a href=\"/w/index.php?title=Investor&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Investor (page does not exist)\">investor</a><sup id=\"cite_ref-9\" class=\"reference\"><a href=\"#cite_note-9\">[9]</a></sup>, <a href=\"/w/index.php?title=Businessperson&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Businessperson (page does not exist)\">businessperson</a><sup id=\"cite_ref-10\" class=\"reference\"><a href=\"#cite_note-10\">[10]</a></sup></td>\n</tr><tr><th scope=\"row\"><span class=\"nowrap\">spouse</span></th>\n<td><a href=\"/w/index.php?title=Melinda_Gates&amp;action=edit&amp;redlink=1\" class=\"new\" title=\"Melinda Gates (page does not exist)\">Melinda Gates</a> (start time: 1994)<sup id=\"cite_ref-11\" class=\"reference\"><a href=\"#cite_note-11\">[11]</a></sup></td>\n</tr><tr><th scope=\"row\">official website</th>\n<td><span class=\"url\"><a rel=\"nofollow\" class=\"external text\" href=\"http://microsoft.com/presspass/exec/billg\">microsoft<wbr></wbr>.com<wbr></wbr>/presspass<wbr></wbr>/exec<wbr></wbr>/billg</a></span></td>\n</tr><tr><th colspan=\"2\" style=\"text-align:center\">signature</th>\n</tr><tr><td colspan=\"2\" style=\"text-align:center\"><a href=\"/wiki/File:Bill_Gates_signature.svg\" class=\"image\"><img alt=\"Bill Gates signature.svg\" src=\"//upload.wikimedia.org/wikipedia/commons/thumb/3/34/Bill_Gates_signature.svg/150px-Bill_Gates_signature.svg.png\" width=\"150\" height=\"36\" srcset=\"//upload.wikimedia.org/wikipedia/commons/thumb/3/34/Bill_Gates_signature.svg/225px-Bill_Gates_signature.svg.png 1.5x, //upload.wikimedia.org/wikipedia/commons/thumb/3/34/Bill_Gates_signature.svg/300px-Bill_Gates_signature.svg.png 2x\" data-file-width=\"594\" data-file-height=\"141\"></a></td>\n</tr></table><div style=\"float:right;width:310px\">\n<div style=\"float:right\">\n<div class=\"thumb tright\">\n<div class=\"thumbinner\" style=\"width:302px;\"><a href=\"/wiki/File:Bill_Gates_June_2015.jpg\" class=\"image\"><img alt=\"Bill Gates June 2015.jpg\" src=\"//upload.wikimedia.org/wikipedia/commons/thumb/1/19/Bill_Gates_June_2015.jpg/300px-Bill_Gates_June_2015.jpg\" width=\"300\" height=\"424\" class=\"thumbimage\" srcset=\"//upload.wikimedia.org/wikipedia/commons/thumb/1/19/Bill_Gates_June_2015.jpg/450px-Bill_Gates_June_2015.jpg 1.5x, //upload.wikimedia.org/wikipedia/commons/thumb/1/19/Bill_Gates_June_2015.jpg/600px-Bill_Gates_June_2015.jpg 2x\" data-file-width=\"996\" data-file-height=\"1408\"></a>\n<div class=\"thumbcaption\">\n<div class=\"magnify\"><a href=\"/wiki/File:Bill_Gates_June_2015.jpg\" class=\"internal\" title=\"Enlarge\"></a></div>\n</div>\n</div>\n</div>\n</div>\n<div class=\"infobox\" style=\"width:100%\">"
      }
    ],
    "protection": [],
    "editable": true
  }
}
http://en.wikipedia.beta.wmflabs.org/w/api.php?action=mobileview&format=json&formatversion=2&prop=text%7Csections%7Clanguagecount%7Cthumb%7Cimage%7Cid%7Crevision%7Cdescription%7Clastmodified%7Cnormalizedtitle%7Cdisplaytitle%7Cprotection%7Ceditable&onlyrequestedsections=1&sections=0&sectionprop=toclevel%7Cline%7Canchor&noheadings=true&page=Dog&thumbsize=640

{
  "mobileview": {
    "lastmodified": "2015-12-01T01:08:35Z",
    "revision": true,
    "languagecount": 0,
    "displaytitle": "Dog",
    "id": 1457,
    "image": {
      "file": "Collage of Nine Dogs.jpg",
      "width": 1665,
      "height": 1463
    },
    "thumb": {
      "url": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/d9/Collage_of_Nine_Dogs.jpg/640px-Collage_of_Nine_Dogs.jpg",
      "width": 640,
      "height": 562
    },
    "sections": [
      {
        "id": 0,
        "text": "<div>\n<table class=\"infobox biota\" style=\"text-align: left; width: 200px; font-size: 100%\"><tr><th colspan=\"2\" style=\"text-align: center; background-color: rgb(211,211,164)\">Domestic dog<br><small>Temporal range: <span style=\"display:inline-block;\">0.033–0<a href=\"/wiki/Megaannum\" title=\"Megaannum\">Ma</a></span></small>\n<div id=\"Timeline-row\" style=\"margin: 4px auto 0; clear:both; width:220px; padding:0px; height:18px; overflow:visible; border:1px #666; border-style:solid none; position:relative; z-index:0;\">\n<div style=\"position:absolute; height:100%; left:0px; width:208.07692307692px; padding-left:5px; text-align:left; background-color:rgb(254,214,123); background-image: -moz-linear-gradient(left, rgba(255,255,255,1), rgba(254,217,106,1) 15%, rgba(254,217,106,1)); background-image: -o-linear-gradient(left, rgba(255,255,255,1), rgba(254,217,106,1) 15%, rgba(254,217,106,1)); background-image: -webkit-linear-gradient(left, rgba(255,255,255,1), rgba(254,217,106,1) 15%, rgba(254,217,106,1)); background-image: linear-gradient(to right, rgba(255,255,255,1), rgba(254,217,106,1) 15%, rgba(254,217,106,1));\"><small><a href=\"/wiki/Precambrian\" title=\"Precambrian\">PreЄ</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(129,170,114); left:36.892307692308px; width:18.818461538462px;\"><small><a href=\"/wiki/Cambrian\" title=\"Cambrian\">Є</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(0,169,138); left:55.710769230769px; width:14.215384615385px;\"><small><a href=\"/wiki/Ordovician\" title=\"Ordovician\">O</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(166,223,197); left:69.926153846154px; width:8.1907692307692px;\"><small><a href=\"/wiki/Silurian\" title=\"Silurian\">S</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(221,150,81); left:78.116923076923px; width:20.409230769231px;\"><small><a href=\"/wiki/Devonian\" title=\"Devonian\">D</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(63,174,173); left:98.526153846154px; width:20.307692307692px;\"><small><a href=\"/wiki/Carboniferous\" title=\"Carboniferous\">C</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(247,88,60); left:118.83384615385px; width:15.816307692308px;\"><small><a href=\"/wiki/Permian\" title=\"Permian\">P</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(153,78,150); left:134.65015384615px; width:17.217538461538px;\"><small><a href=\"/wiki/Triassic\" title=\"Triassic\">T</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(0,187,231); left:151.86769230769px; width:19.055384615385px;\"><small><a href=\"/wiki/Jurassic\" title=\"Jurassic\">J</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(111,200,107); left:170.92307692308px; width:26.738461538462px;\"><small><a href=\"/wiki/Cretaceous\" title=\"Cretaceous\">K</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(254,161,99); left:197.66153846154px; width:14.543692307692px;\"><small><a href=\"/wiki/Paleogene\" title=\"Paleogene\"><small>Pg</small></a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(254,221,45); left:212.20523076923px; width:6.9215384615385px;\"><a href=\"/wiki/Neogene\" title=\"Neogene\"><small>N</small></a></div>\n<div id=\"end-border\" style=\"position:absolute; height:100%; background-color:#666; width:1px; left:219px\"></div>\n<div style=\"margin:0 auto; line-height:0; clear:both; width:220px; padding:0px; height:8px; overflow:visible; background-color:transparent; position:relative; top:-4px; z-index:100;\">\n<div style=\"position:absolute; left:219.98883076923px; font-size:50%\">\n<div style=\"position:relative; left:-0.42em\">↓</div>\n</div>\n</div>\n</div>\n<small><a href=\"/wiki/Pleistocene\" title=\"Pleistocene\">Pleistocene</a> – <a href=\"/wiki/Recent\" title=\"Recent\">Recent</a></small></th>\n</tr><tr><td colspan=\"2\" style=\"text-align: center\"><a href=\"/wiki/File:Collage_of_Nine_Dogs.jpg\" class=\"image\"><img alt=\"Collage of Nine Dogs.jpg\" src=\"https://upload.wikimedia.org/wikipedia/commons/thumb/d/d9/Collage_of_Nine_Dogs.jpg/260px-Collage_of_Nine_Dogs.jpg\" width=\"260\" height=\"228\" srcset=\"https://upload.wikimedia.org/wikipedia/commons/thumb/d/d9/Collage_of_Nine_Dogs.jpg/390px-Collage_of_Nine_Dogs.jpg 1.5x, https://upload.wikimedia.org/wikipedia/commons/thumb/d/d9/Collage_of_Nine_Dogs.jpg/520px-Collage_of_Nine_Dogs.jpg 2x\" data-file-width=\"1665\" data-file-height=\"1463\"></a></td>\n</tr><tr><td colspan=\"2\" style=\"text-align: center; font-size: 88%\">Nine different <a href=\"/wiki/Dog_breed\" title=\"Dog breed\">breeds of dogs</a>.</td>\n</tr><tr style=\"text-align: center; background-color: rgb(211,211,164)\"><th colspan=\"2\"><a href=\"/wiki/Conservation_status\" title=\"Conservation status\">Conservation status</a></th>\n</tr><tr><td colspan=\"2\">\n<div style=\"text-align: center\">Domesticated</div>\n</td>\n</tr><tr><th colspan=\"2\" style=\"text-align: center; background-color: rgb(211,211,164)\"><a href=\"/wiki/Biological_classification\" title=\"Biological classification\" class=\"mw-redirect\">Scientific classification</a></th>\n</tr><tr><td>Kingdom:</td>\n<td><span class=\"kingdom\" style=\"white-space:nowrap;\"><a href=\"/wiki/Animal\" title=\"Animal\">Animalia</a></span></td>\n</tr><tr><td>Phylum:</td>\n<td><span class=\"phylum\" style=\"white-space:nowrap;\"><a href=\"/wiki/Chordate\" title=\"Chordate\">Chordata</a></span></td>\n</tr><tr><td>Class:</td>\n<td><span class=\"class\" style=\"white-space:nowrap;\"><a href=\"/wiki/Mammal\" title=\"Mammal\">Mammalia</a></span></td>\n</tr><tr><td>Order:</td>\n<td><span class=\"order\" style=\"white-space:nowrap;\"><a href=\"/wiki/Carnivora\" title=\"Carnivora\">Carnivora</a></span></td>\n</tr><tr><td>Family:</td>\n<td><span class=\"family\" style=\"white-space:nowrap;\"><a href=\"/wiki/Canidae\" title=\"Canidae\">Canidae</a></span></td>\n</tr><tr><td>Genus:</td>\n<td><span class=\"genus\" style=\"white-space:nowrap;\"><i><a href=\"/wiki/Canis\" title=\"Canis\">Canis</a></i></span></td>\n</tr><tr><td>Species:</td>\n<td><span class=\"species\" style=\"white-space:nowrap;\"><i><a href=\"/wiki/Gray_Wolf\" title=\"Gray Wolf\" class=\"mw-redirect\">C. lupus</a></i></span></td>\n</tr><tr><td>Subspecies:</td>\n<td><span class=\"subspecies\" style=\"white-space:nowrap;\"><i><b>C. l. familiaris</b></i></span></td>\n</tr><tr style=\"text-align: center; background-color: rgb(211,211,164)\"><th colspan=\"2\"><a href=\"/wiki/Trinomen\" title=\"Trinomen\">Trinomial name</a></th>\n</tr><tr><td colspan=\"2\" style=\"text-align: center\"><b><span class=\"trinomial\"><i>Canis lupus familiaris</i><sup id=\"cite_ref-MSW3_Canis_lupus_familiaris_1-0\" class=\"reference\"><a href=\"#cite_note-MSW3_Canis_lupus_familiaris-1\"><span>[</span>1<span>]</span></a></sup></span></b><br></td>\n</tr></table></div>\n<p>The domestic dog (Canis lupus familiaris) is a usually furry, <a href=\"/wiki/Carnivore\" title=\"Carnivore\">carnivorous</a><sup id=\"cite_ref-2\" class=\"reference\"><a href=\"#cite_note-2\"><span>[</span>2<span>]</span></a></sup><sup id=\"cite_ref-3\" class=\"reference\"><a href=\"#cite_note-3\"><span>[</span>3<span>]</span></a></sup><sup id=\"cite_ref-:0_4-0\" class=\"reference\"><a href=\"#cite_note-:0-4\"><span>[</span>4<span>]</span></a></sup> member of the <a href=\"/wiki/Canidae\" title=\"Canidae\">canidae</a> family. Domestic dogs are commonly <a class=\"external text\" href=\"https://en.wikipedia.org/wiki/Special:Contributions/HostBot\">known</a> as <a href=\"/wiki/Man%27s_best_friend_(phrase)\" title=\"Man's best friend (phrase)\">\"man's best friend\"</a>. The dog was <a href=\"/wiki/Domestication_of_the_dog\" title=\"Domestication of the dog\" class=\"mw-redirect\">the first domesticated animal</a><sup id=\"cite_ref-:1_5-0\" class=\"reference\"><a href=\"#cite_note-:1-5\"><span>[</span>5<span>]</span></a></sup><sup id=\"cite_ref-6\" class=\"reference\"><a href=\"#cite_note-6\"><span>[</span>6<span>]</span></a></sup> and has been widely kept as a <a href=\"/wiki/Working_dog\" title=\"Working dog\">working</a>, <a href=\"/wiki/Hunting_dog\" title=\"Hunting dog\">hunting</a>, and <a href=\"/wiki/Pet\" title=\"Pet\">pet</a> companion. It is estimated there are between 700 million and one billion domestic dogs, making them the most abundant member of order <a href=\"/wiki/Carnivora\" title=\"Carnivora\">Carnivora</a>.<sup id=\"cite_ref-7\" class=\"reference\"><a href=\"#cite_note-7\"><span>[</span>7<span>]</span></a></sup><sup id=\"cite_ref-8\" class=\"reference\"><a href=\"#cite_note-8\"><span>[</span>8<span>]</span></a></sup></p>\n<p></p>"
      }
    ],
    "protection": [],
    "editable": true
  }
}

Old example that returned a long:

https://en.wikipedia.org/w/api.php?action=mobileview&format=json&formatversion=2&prop=text%7Csections%7Clanguagecount%7Cthumb%7Cimage%7Cid%7Crevision%7Cdescription%7Clastmodified%7Cnormalizedtitle%7Cdisplaytitle%7Cprotection%7Ceditable&onlyrequestedsections=1&sections=0&sectionprop=toclevel%7Cline%7Canchor&noheadings=true&page=Dog&thumbsize=640

{
  "mobileview": {
    "lastmodified": "2016-03-08T01:37:21Z",
    "revision": 708870724,
    "languagecount": 209,
    "displaytitle": "Dog",
    "id": 4269567,
    "description": "subspecies of mammal",
    "image": {
      "file": "Collage of Nine Dogs.jpg",
      "width": 1665,
      "height": 1463
    },
    "thumb": {
      "url": "//upload.wikimedia.org/wikipedia/commons/thumb/d/d9/Collage_of_Nine_Dogs.jpg/640px-Collage_of_Nine_Dogs.jpg",
      "width": 640,
      "height": 562
    },
    "sections": [
      {
        "id": 0,
        "text": "<div class=\"mw-mobilefrontend-leadsection\"><div role=\"note\" class=\"hatnote\">This article is about the domestic dog.  For related species known as \"dogs\", see <a href=\"/wiki/Canidae\" title=\"Canidae\">Canidae</a>.  For other uses, see <a href=\"/wiki/Dog_(disambiguation)\" title=\"Dog (disambiguation)\" class=\"mw-disambig\">Dog (disambiguation)</a>.</div>\n<div role=\"note\" class=\"hatnote\">\"Doggie\" redirects here. For the Danish artist, see <a href=\"/wiki/Doggie_(artist)\" title=\"Doggie (artist)\">Doggie (artist)</a>.</div>\n<div>\n<table class=\"infobox biota\" style=\"text-align: left; width: 200px; font-size: 100%\">\n<tr>\n<th colspan=\"2\" style=\"text-align: center; background-color: rgb(235,235,210)\">Domestic dog<br />\n<small>Temporal range: <span style=\"display:inline-block;\">0.033–0&#160;<a href=\"/wiki/Megaannum\" title=\"Megaannum\" class=\"mw-redirect\">Ma</a></span></small>\n<div id=\"Timeline-row\" style=\"margin: 4px auto 0; clear:both; width:220px; padding:0px; height:18px; overflow:visible; border:1px #666; border-style:solid none; position:relative; z-index:0; font-size:13px;\">\n<div style=\"position:absolute; height:100%; left:0px; width:208.07692307692px; padding-left:5px; text-align:left; background-color:rgb(254,214,123); background-image: -moz-linear-gradient(left, rgba(255,255,255,1), rgba(254,217,106,1) 15%, rgba(254,217,106,1)); background-image: -o-linear-gradient(left, rgba(255,255,255,1), rgba(254,217,106,1) 15%, rgba(254,217,106,1)); background-image: -webkit-linear-gradient(left, rgba(255,255,255,1), rgba(254,217,106,1) 15%, rgba(254,217,106,1)); background-image: linear-gradient(to right, rgba(255,255,255,1), rgba(254,217,106,1) 15%, rgba(254,217,106,1));\"><small><a href=\"/wiki/Precambrian\" title=\"Precambrian\">PreЄ</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(129,170,114); left:36.892307692308px; width:18.818461538462px;\"><small><a href=\"/wiki/Cambrian\" title=\"Cambrian\">Є</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(0,169,138); left:55.710769230769px; width:14.08px;\"><small><a href=\"/wiki/Ordovician\" title=\"Ordovician\">O</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(166,223,197); left:69.790769230769px; width:8.3261538461539px;\"><small><a href=\"/wiki/Silurian\" title=\"Silurian\">S</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(221,150,81); left:78.116923076923px; width:20.409230769231px;\"><small><a href=\"/wiki/Devonian\" title=\"Devonian\">D</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(63,174,173); left:98.526153846154px; width:20.307692307692px;\"><small><a href=\"/wiki/Carboniferous\" title=\"Carboniferous\">C</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(247,88,60); left:118.83384615385px; width:15.816307692308px;\"><small><a href=\"/wiki/Permian\" title=\"Permian\">P</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(153,78,150); left:134.65015384615px; width:17.217538461538px;\"><small><a href=\"/wiki/Triassic\" title=\"Triassic\">T</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(0,187,231); left:151.86769230769px; width:19.055384615385px;\"><small><a href=\"/wiki/Jurassic\" title=\"Jurassic\">J</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(111,200,107); left:170.92307692308px; width:26.738461538462px;\"><small><a href=\"/wiki/Cretaceous\" title=\"Cretaceous\">K</a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(254,161,99); left:197.66153846154px; width:14.543692307692px;\"><small><a href=\"/wiki/Paleogene\" title=\"Paleogene\"><small>Pg</small></a></small></div>\n<div style=\"position:absolute; height:100%; text-align:center; background-color:rgb(254,221,45); left:212.20523076923px; width:6.9215384615385px;\"><a href=\"/wiki/Neogene\" title=\"Neogene\"><small>N</small></a></div>\n<div id=\"end-border\" style=\"position:absolute; height:100%; background-color:#666; width:1px; left:219px\"></div>\n<div style=\"margin:0 auto; line-height:0; clear:both; width:220px; padding:0px; height:8px; overflow:visible; background-color:transparent; position:relative; top:-4px; z-index:100;\">\n<div style=\"position:absolute; left:219.98883076923px; font-size:50%\">\n<div style=\"position:relative; left:-0.42em\">↓</div>\n</div>\n</div>\n</div>\n<small><a href=\"/wiki/Pleistocene\" title=\"Pleistocene\">Pleistocene</a>&#160;– <a href=\"/wiki/Holocene\" title=\"Holocene\">Recent</a></small></th>\n</tr>\n<tr>\n<td colspan=\"2\" style=\"text-align: center\"><a href=\"/wiki/File:Collage_of_Nine_Dogs.jpg\" class=\"image\"><img alt=\"Collage of Nine Dogs.jpg\" src=\"//upload.wikimedia.org/wikipedia/commons/thumb/d/d9/Collage_of_Nine_Dogs.jpg/260px-Collage_of_Nine_Dogs.jpg\" width=\"260\" height=\"228\" srcset=\"//upload.wikimedia.org/wikipedia/commons/thumb/d/d9/Collage_of_Nine_Dogs.jpg/390px-Collage_of_Nine_Dogs.jpg 1.5x, //upload.wikimedia.org/wikipedia/commons/thumb/d/d9/Collage_of_Nine_Dogs.jpg/520px-Collage_of_Nine_Dogs.jpg 2x\" data-file-width=\"1665\" data-file-height=\"1463\" /></a></td>\n</tr>\n<tr>\n<td colspan=\"2\" style=\"text-align: center; font-size: 88%\">Different <a href=\"/wiki/Dog_breed\" title=\"Dog breed\">breeds of dog</a>.</td>\n</tr>\n<tr style=\"text-align: center; background-color: rgb(235,235,210)\">\n<th colspan=\"2\">\n<div style=\"text-align: center\"><a href=\"/wiki/Conservation_status\" title=\"Conservation status\">Conservation status</a></div>\n</th>\n</tr>\n<tr>\n<td colspan=\"2\">\n<div style=\"text-align: center\">Domesticated</div>\n</td>\n</tr>\n<tr>\n<th colspan=\"2\" style=\"text-align: center; background-color: rgb(235,235,210)\"><a href=\"/wiki/Taxonomy_(biology)\" title=\"Taxonomy (biology)\">Scientific classification</a></th>\n</tr>\n<tr>\n<td>Kingdom:</td>\n<td><span class=\"kingdom\"><a href=\"/wiki/Animal\" title=\"Animal\">Animalia</a></span></td>\n</tr>\n<tr>\n<td>Phylum:</td>\n<td><span class=\"phylum\"><a href=\"/wiki/Chordate\" title=\"Chordate\">Chordata</a></span></td>\n</tr>\n<tr>\n<td>Class:</td>\n<td><span class=\"class\"><a href=\"/wiki/Mammal\" title=\"Mammal\">Mammalia</a></span></td>\n</tr>\n<tr>\n<td>Order:</td>\n<td><span class=\"order\"><a href=\"/wiki/Carnivora\" title=\"Carnivora\">Carnivora</a></span></td>\n</tr>\n<tr>\n<td>Family:</td>\n<td><span class=\"family\"><a href=\"/wiki/Canidae\" title=\"Canidae\">Canidae</a></span></td>\n</tr>\n<tr>\n<td>Genus:</td>\n<td><span class=\"genus\"><i><a href=\"/wiki/Canis\" title=\"Canis\">Canis</a></i></span></td>\n</tr>\n<tr>\n<td>Species:</td>\n<td><span class=\"species\"><i>C.&#160;lupus</i></span></td>\n</tr>\n<tr>\n<td>Subspecies:</td>\n<td><span class=\"subspecies\"><i><b>C.&#160;l. familiaris</b></i></span></td>\n</tr>\n<tr style=\"text-align: center; background-color: rgb(235,235,210)\">\n<th colspan=\"2\" style=\"text-align: center\"><a href=\"/wiki/Trinomen\" title=\"Trinomen\">Trinomial name</a></th>\n</tr>\n<tr>\n<td colspan=\"2\" style=\"text-align: center\"><b><span class=\"trinomial\"><i>Canis lupus familiaris</i><sup id=\"cite_ref-smithsonian2005_1-0\" class=\"reference\"><a href=\"#cite_note-smithsonian2005-1\"><span>[</span>1<span>]</span></a></sup></span></b><br /></td>\n</tr>\n</table>\n</div>\n<p>The <b>domestic dog</b> (<i>Canis lupus familiaris</i> or <i>Canis familiaris</i>)<sup id=\"cite_ref-wang2008_2-0\" class=\"reference\"><a href=\"#cite_note-wang2008-2\"><span>[</span>2<span>]</span></a></sup> is a <a href=\"/wiki/Domestication\" title=\"Domestication\">domesticated</a> <a href=\"/wiki/Canidae\" title=\"Canidae\">canid</a> which has been <a href=\"/wiki/Selective_breeding\" title=\"Selective breeding\">selectively bred</a> for millennia for various behaviors, sensory capabilities, and physical attributes.<sup id=\"cite_ref-ADW_3-0\" class=\"reference\"><a href=\"#cite_note-ADW-3\"><span>[</span>3<span>]</span></a></sup></p>\n<p>Although initially thought to have originated as a manmade variant of an extant canid species (variously supposed as being the <a href=\"/wiki/Dhole\" title=\"Dhole\">dhole</a>,<sup id=\"cite_ref-4\" class=\"reference\"><a href=\"#cite_note-4\"><span>[</span>4<span>]</span></a></sup> <a href=\"/wiki/Golden_jackal\" title=\"Golden jackal\">golden jackal</a>,<sup id=\"cite_ref-5\" class=\"reference\"><a href=\"#cite_note-5\"><span>[</span>5<span>]</span></a></sup> or <a href=\"/wiki/Gray_wolf\" title=\"Gray wolf\">gray wolf</a><sup id=\"cite_ref-6\" class=\"reference\"><a href=\"#cite_note-6\"><span>[</span>6<span>]</span></a></sup>), extensive genetic studies undertaken during the 2010s indicate that dogs diverged from an extinct <a href=\"/wiki/Canidae#Phylogenetic_relationships\" title=\"Canidae\">wolf-like canid</a> in <a href=\"/wiki/Eurasia\" title=\"Eurasia\">Eurasia</a> 40,000 years ago.<sup id=\"cite_ref-skoglund2015_7-0\" class=\"reference\"><a href=\"#cite_note-skoglund2015-7\"><span>[</span>7<span>]</span></a></sup> Being <a href=\"/wiki/List_of_domesticated_animals\" title=\"List of domesticated animals\">the oldest domesticated animal</a>, their long association with people has allowed dogs to be uniquely attuned to human behavior,<sup id=\"cite_ref-berns2012_8-0\" class=\"reference\"><a href=\"#cite_note-berns2012-8\"><span>[</span>8<span>]</span></a></sup> as well as thrive on a <a href=\"/wiki/Starch\" title=\"Starch\">starch</a>-rich diet which would be inadequate for other canid species.<sup id=\"cite_ref-axelssonetal2013_9-0\" class=\"reference\"><a href=\"#cite_note-axelssonetal2013-9\"><span>[</span>9<span>]</span></a></sup></p>\n<p>Dogs perform many roles for people, such as <a href=\"/wiki/Hunting_dog\" title=\"Hunting dog\">hunting</a>, <a href=\"/wiki/Herding_dog\" title=\"Herding dog\">herding</a>, <a href=\"/wiki/Sled_dog\" title=\"Sled dog\">pulling loads</a>, <a href=\"/wiki/Guard_dog\" title=\"Guard dog\">protection</a>, <a href=\"/wiki/Police_dog\" title=\"Police dog\">assisting police</a> and <a href=\"/wiki/Dogs_in_warfare\" title=\"Dogs in warfare\">military</a>, <a href=\"/wiki/Pet\" title=\"Pet\">companionship</a> and, more recently, <a href=\"/wiki/Service_dog\" title=\"Service dog\">aiding handicapped individuals</a>. This impact on human society has given them the nickname \"<a href=\"/wiki/Man%27s_best_friend_(phrase)\" title=\"Man's best friend (phrase)\">man's best friend</a>\" in the Western world. In <a href=\"/wiki/China\" title=\"China\">China</a> and <a href=\"/wiki/South_Vietnam\" title=\"South Vietnam\">South Vietnam</a> dogs <a href=\"#As_food\">are a source of meat for humans</a>.<sup id=\"cite_ref-Wingfield-Hayes_10-0\" class=\"reference\"><a href=\"#cite_note-Wingfield-Hayes-10\"><span>[</span>10<span>]</span></a></sup><sup id=\"cite_ref-Vietnam.27s_dog_meat_tradition_11-0\" class=\"reference\"><a href=\"#cite_note-Vietnam.27s_dog_meat_tradition-11\"><span>[</span>11<span>]</span></a></sup></p>\n<p></p>\n</div>"
      }
    ],
    "protection": {
      "edit": [
        "autoconfirmed"
      ],
      "move": [
        "sysop"
      ]
    },
    "editable": true
  }
}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2016, 8:50 PM
Niedzielski triaged this task as High priority.Mar 16 2016, 8:50 PM

Change 277890 had a related patch set uploaded (by Jdlrobson):
PHP is not JavaScript

https://gerrit.wikimedia.org/r/277890

Change 277891 had a related patch set uploaded (by Jdlrobson):
PHP is not JavaScript

https://gerrit.wikimedia.org/r/277891

Change 277890 merged by jenkins-bot:
PHP is not JavaScript

https://gerrit.wikimedia.org/r/277890

Jdlrobson moved this task from Backlog to Bugs on the MobileFrontend board.Mar 16 2016, 9:38 PM

Pulling into sprint as I need to SWAT this fix today and sign off

Change 277891 merged by jenkins-bot:
PHP is not JavaScript

https://gerrit.wikimedia.org/r/277891

Jdlrobson closed this task as Resolved.
Jdlrobson claimed this task.

Confirmed fixed by myself and @Niedzielski